package com.seostella.springfa.controller;

import javax.validation.Valid;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.seostella.springfa.form.SignupForm;

@Controller
@RequestMapping("/signup")
public class SignupController {

	@RequestMapping(method = RequestMethod.GET)
	public String signup(ModelMap model) {
		SignupForm signupForm = new SignupForm();
		model.put("signupForm", signupForm);
		return "signup";
	}

	@RequestMapping(method = RequestMethod.POST)
	public String processSignup(@Valid final SignupForm signupForm, final BindingResult result) {
		if (result.hasErrors()) {
			return "signup";
		}
		return "signup-success";
	}
}
